diff -ur dpkg-1.15.8.10.orig//scripts/Dpkg/Deps.pm dpkg-1.15.8.10/scripts/Dpkg/Deps.pm
--- dpkg-1.15.8.10.orig//scripts/Dpkg/Deps.pm	2011-01-30 19:37:44.000000000 +0000
+++ dpkg-1.15.8.10/scripts/Dpkg/Deps.pm	2011-03-24 01:39:15.489973000 +0000
@@ -506,6 +506,7 @@
 	'relation' => undef,
 	'version' => undef,
 	'arches' => undef,
+	'archqual' => undef,
     };
     bless $self, $class;
     $self->parse_string($arg) if defined($arg);
@@ -525,6 +526,9 @@
             /^\s*                           # skip leading whitespace
               ([a-zA-Z0-9][a-zA-Z0-9+.-]*)  # package name
               (?:                           # start of optional part
+                :(any|native)               # architecture qualifier
+              )?                            # end of optional part
+              (?:                           # start of optional part
                 \s* \(                      # open parenthesis for version part
                 \s* (<<|<=|=|>=|>>|<|>)     # relation part
                 \s* (.*?)                   # do not attempt to parse version
@@ -538,12 +542,13 @@
 	      \s*$			    # trailing spaces at end
             /x;
     $self->{package} = $1;
-    $self->{relation} = version_normalize_relation($2) if defined($2);
-    if (defined($3)) {
-        $self->{version} = Dpkg::Version->new($3);
-    }
+    $self->{archqual} = $2 if defined($2);
+    $self->{relation} = version_normalize_relation($3) if defined($3);
     if (defined($4)) {
-	$self->{arches} = [ split(/\s+/, $4) ];
+        $self->{version} = Dpkg::Version->new($4);
+    }
+    if (defined($5)) {
+	$self->{arches} = [ split(/\s+/, $5) ];
     }
 }
 
diff -ur dpkg-1.15.8.10.orig//scripts/t/400_Dpkg_Deps.t dpkg-1.15.8.10/scripts/t/400_Dpkg_Deps.t
--- dpkg-1.15.8.10.orig//scripts/t/400_Dpkg_Deps.t	2011-01-30 19:37:44.000000000 +0000
+++ dpkg-1.15.8.10/scripts/t/400_Dpkg_Deps.t	2011-03-24 01:34:48.701973000 +0000
@@ -13,7 +13,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-use Test::More tests => 17;
+use Test::More tests => 19;
 
 use strict;
 use warnings;
@@ -82,3 +82,8 @@
 ok(!defined($dep_bad_multiline), "invalid dependency split over multiple line");
 delete $SIG{'__WARN__'};
 
+my $dep_multiarch_native = deps_parse("libfoo:native, libbar:native (>= 2.6-1), libfake:native (>= 2.6-1) [arch=armel]");
+my $dep_multiarch_any = deps_parse("libfoo:any, libbar:any (>=2.6-1), libfake:any (>= 2.6-1) [arch=armel]");
+is($dep_multiarch_native->output(), "libfoo, libbar (>= 2.6-1), libfake (>= 2.6-1) [arch=armel]" ,"depends:native syntax");
+is($dep_multiarch_any->output(), "libfoo, libbar (>= 2.6-1), libfake (>= 2.6-1) [arch=armel]" ,"depends:any syntax");
+
